curl --request GET \
--url https://api.fintoc.com/v2/recipients/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/recipients/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/recipients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/recipients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/recipients/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/recipients/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/recipients/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "rcp_2hQ9vBmKpR7xLtZ3sWn1fJ4dGcA",
"account_number": "000000000000000000",
"account_type": "clabe",
"alias": "Test recipient",
"created_at": "2026-03-01T12:00:00Z",
"email": "recipient@example.com",
"holder_id": "111111111",
"holder_name": "Test Customer 1",
"holder_type": "person",
"updated_at": "2026-03-01T12:00:00Z",
"object": "recipient",
"institution": {
"id": "40002",
"name": "BANAMEX",
"country": "mx"
}
}Get a recipient
Returns a recipient in your organization for the live or test mode of your API key. Available in Chile and Mexico.
curl --request GET \
--url https://api.fintoc.com/v2/recipients/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/recipients/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/recipients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/recipients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/recipients/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/recipients/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/recipients/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "rcp_2hQ9vBmKpR7xLtZ3sWn1fJ4dGcA",
"account_number": "000000000000000000",
"account_type": "clabe",
"alias": "Test recipient",
"created_at": "2026-03-01T12:00:00Z",
"email": "recipient@example.com",
"holder_id": "111111111",
"holder_name": "Test Customer 1",
"holder_type": "person",
"updated_at": "2026-03-01T12:00:00Z",
"object": "recipient",
"institution": {
"id": "40002",
"name": "BANAMEX",
"country": "mx"
}
}Authorizations
Path Parameters
Unique identifier of the recipient.
Response
The recipient object.
A recipient represents a saved destination account for an entity. The recipient contains the account holder, institution, and account details for the destination in Chile or Mexico.
Unique identifier of the recipient.
"rcp_2hQ9vBmKpR7xLtZ3sWn1fJ4dGcA"
Type of the object. Always recipient.
Destination bank account number. In Mexico, an 18-digit standardized Mexican bank account number (CLABE), a 16-digit debit card number, or a 10-digit mobile number.
"000000000000000000"
Destination account type, in lowercase. In Mexico, inferred from account_number. Returns null when unknown. One of clabe, debit_card, mobile, vostro_account, vostro_account1, vostro_account2, vostro_account3, vostro_account4, values_custody, institution, checking_account, sight_account, and savings_account.
clabe, debit_card, mobile, vostro_account, vostro_account1, vostro_account2, vostro_account3, vostro_account4, values_custody, institution, checking_account, sight_account, savings_account, null "clabe"
Label you assign to the recipient, or null when none is set.
"Test recipient"
Time you created the recipient, as an ISO 8601 datetime in UTC.
"2026-03-01T12:00:00Z"
Contact email address, or null when none is set.
"recipient@example.com"
Account holder identification. In Chile, the Chilean tax ID (RUT). Cannot change after creation. Returns null when none is set.
"111111111"
Account holder name, or null when unavailable.
"Test Customer 1"
Account holder category. One of person, company, or unknown.
person, company, unknown "person"
Financial institution that holds the destination account.
Show child attributes
Show child attributes
Time you last updated the recipient, as an ISO 8601 datetime in UTC.
"2026-03-01T12:00:00Z"
Was this page helpful?